Does QTP support IE 10 or IE 11?

Does QTP support IE 10 or IE 11?

For some reason I’ve received multiple emails this week inquiring as to whether QTP supports IE 10 or IE 11. Rather than send an individual reply for these types of questions, I decided to create a quick resource post to address them.

So, does QTP support IE 11 or 10?

The short answer is NO.

If you want support for the latest and greatest browser versions, you’ll need to bite the bullet and upgrade to the latest version UFT. Here is a table that shows which QTP/UFT versions support which browser versions:

IE VersionQTP 11UFT 11.5xUFT 12
IE 6 sp1YesYesNo
IE 7YesYesNo
IE 8YesYesYes
IE 9Patch QTPWEB_00078 requiredYesYes
IE 10NoPatch UFT_00044 requiredYes
IE 11NoNoYes
6comments
Divya - November 9, 2014

Joe..it really helped me!! Thanks a ton

Reply
Srinu - September 16, 2015

UFT 12.5 is not recognizing objects. What to do for this…?

Reply
SAI - October 14, 2015

Hi Dear,

Qtp10.00 is work in IE 10 (OR) NOT, plz help me…it’s a major isuue of me..

Reply
    Joe Colantonio - October 16, 2015

    QTP 10 does not support IE10?

    Reply
Sagar - October 21, 2015

Hi,

I have installed UFT 12.50 on my lappy and I had IE 11. Even the web add in setting is turned on, IE 11 is not getting recognized by UFT 12.50. Could you please suggest solution for this.

Thanks in advance.

Reply
    Joe Colantonio - October 21, 2015

    Hmm have you tried deleting and reinstalling the UFT IE add-in? Also if you close all your open browser instances and UFT then restart UFT before the browser and try to spy does that help?

    Reply
Click here to add a comment

Leave a comment: